%define	srcname	OpenSceneGraph
%define major	161
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define otname		openthreads
%define otsrcname	OpenThreads
%define otmajor		21
%define otversion	3.3.1
%define otlibname	%mklibname %{otname} %{otmajor}
%define otdevname	%mklibname %{otname} -d

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		openscenegraph
Version:	3.6.5
Release:	%mkrel 21
License:	LGPLv2+ with exceptions
Group:		System/Libraries
URL:		https://www.openscenegraph.org/
Source0:	https://github.com/openscenegraph/OpenSceneGraph/archive/%{srcname}-%{version}.tar.gz
Patch0:		OpenSceneGraph_asio.patch
Patch1:		openscenegraph-cmake-4.0.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkglext-x11-1.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(zlib)
#(eatdirt) optional module
BuildRequires:	pkgconfig(OpenEXR)
#BuildRequires:	opencascade-devel


Provides:	%{srcname} = %{version}-%{release}

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files
%{_bindir}/osg*
%{_bindir}/present3D

%package -n	%{libname}
Summary:	A C++ scene graph API on OpenGL for real time graphics
Group:		System/Libraries

%description -n	%{libname}
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files -n	%{libname}
%{_libdir}/libosg*.so.%{major}
%{_libdir}/libosg*.so.%{version}
%{_libdir}/osgPlugins-%{version}/

#------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %srcname
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{srcname}-devel = %{version}-%{release}
Obsoletes:	OpenSceneGraph-devel < 2.8.0-2
Obsoletes:	openscenegraph-devel < 3.2.0-5
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{otdevname} >= %{version}-%{release}

%description -n	%{devname}
This package contains development files for %srcname.

%files -n	%{devname}
%doc ChangeLog NEWS.txt README.md
%doc doc/*
%license AUTHORS.txt LICENSE.txt
%{_includedir}/osg*/
%{_libdir}/libosg*.so
%{_libdir}/pkgconfig/%{name}*.pc

#------------------------------------------------------------------

%package -n	%{otlibname}
Summary:	A lightweight C++ thread API
Group:		System/Libraries

%description -n	%{otlibname}
This library is intended to provide a minimal & complete Object-Oriented
thread interface for C++ programmers.  It is loosely modeled on the Java
thread API, and the POSIX Threads standards.

%{otsrcname} is part of the %{srcname} project.

%files -n	%{otlibname}
%{_libdir}/lib%{otsrcname}.so.%{otmajor}
%{_libdir}/lib%{otsrcname}.so.%{otversion}

#------------------------------------------------------------------

%package -n	%{otdevname}
Summary:	Development package for %{otsrcname}
Group:		Development/C++
Provides:	%{otname}-devel = %{version}-%{release}
Provides:	%{otsrcname}-devel = %{version}-%{release}
Requires:	%{otlibname} >= %{version}-%{release}

%description -n	%{otdevname}
This package contains development files for %{otsrcname}.

%files -n	%{otdevname}
%{_includedir}/%{otsrcname}/
%{_libdir}/lib%{otsrcname}.so
%{_libdir}/pkgconfig/%{otname}.pc

#------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{srcname}-%{version}

%build
%cmake \
	%ifarch x86_64 aarch64
	-DLIB_POSTFIX='64' \
	%endif
	-DCMAKE_RELWITHDEBINFO_POSTFIX=''
%cmake_build

%install
%cmake_install


%changelog
* Sat Jul 12 2025 daviddavid <daviddavid> 3.6.5-21.mga10
+ Revision: 2253351
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Feb 05 2025 daviddavid <daviddavid> 3.6.5-20.mga10
+ Revision: 2145304
- rebuild for new gdal 3.10.1

* Thu Jun 20 2024 wally <wally> 3.6.5-19.mga10
+ Revision: 2075772
- rebuild for gdal 3.9.0

* Thu Jan 04 2024 daviddavid <daviddavid> 3.6.5-18.mga10
+ Revision: 2027451
- rebuild for new gdal

* Wed Nov 01 2023 daviddavid <daviddavid> 3.6.5-17.mga10
+ Revision: 2003427
- rebuild for new gdal 3.7.2

* Fri Oct 13 2023 daviddavid <daviddavid> 3.6.5-16.mga10
+ Revision: 1996015
- rebuild for new jasper 4.0.0

* Mon Dec 12 2022 ns80 <ns80> 3.6.5-15.mga9
+ Revision: 1921130
- rebuild for new libtiff

* Tue Dec 06 2022 eatdirt <eatdirt> 3.6.5-14.mga9
+ Revision: 1918721
- Rebuild for new gdal

* Tue Nov 22 2022 daviddavid <daviddavid> 3.6.5-13.mga9
+ Revision: 1910129
- rebuild for new jasper 3.0.6

* Sun Apr 03 2022 umeabot <umeabot> 3.6.5-12.mga9
+ Revision: 1841753
- Mageia 9 Mass Rebuild

* Sat Dec 25 2021 wally <wally> 3.6.5-11.mga9
+ Revision: 1763684
- rebuild for openexr 3.1.3

* Sat Dec 11 2021 eatdirt <eatdirt> 3.6.5-10.mga9
+ Revision: 1761462
- Rebuild for new gdal

* Sun Jun 13 2021 eatdirt <eatdirt> 3.6.5-9.mga9
+ Revision: 1730589
- Add support for exr

* Thu May 06 2021 daviddavid <daviddavid> 3.6.5-8.mga9
+ Revision: 1721869
- rebuild for new gdal 3.3.0

* Thu Mar 25 2021 daviddavid <daviddavid> 3.6.5-7.mga9
+ Revision: 1710153
- rebuild for new gdal 3.2.2

* Sat Nov 07 2020 joequant <joequant> 3.6.5-6.mga8
+ Revision: 1643328
- bump release
- fix build with asio fixes and rebuild arm OSL fixes

* Thu Oct 29 2020 joequant <joequant> 3.6.5-5.mga8
+ Revision: 1640500
- rebuild

* Thu Jul 16 2020 daviddavid <daviddavid> 3.6.5-4.mga8
+ Revision: 1606466
- rebuild for new gdal 3.1.2

* Sun Mar 15 2020 daviddavid <daviddavid> 3.6.5-3.mga8
+ Revision: 1556466
- rebuild for new gdal 3.0.4

* Thu Feb 20 2020 umeabot <umeabot> 3.6.5-2.mga8
+ Revision: 1546446
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 3.6.5-1.mga8
+ Revision: 1486554
- new version: 3.6.5
- now libmajor is 161
+ wally <wally>
- build with new cmake macros

* Sat Oct 13 2018 zezinho <zezinho> 3.6.3-1.mga7
+ Revision: 1320066
- bugfix 3.6.3

* Sun Sep 23 2018 umeabot <umeabot> 3.6.2-2.mga7
+ Revision: 1300034
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 eatdirt <eatdirt> 3.6.2-1.mga7
+ Revision: 1252258
- Upgrade to version 3.6.2

* Mon Jun 18 2018 akien <akien> 3.6.1-1.mga7
+ Revision: 1237775
- Version 3.6.1

* Mon May 14 2018 akien <akien> 3.6.0-1.mga7
+ Revision: 1229566
- Version 3.6.0
- Review all BRs:
  o Be more explicit about the ones queried by CMake
  o Qt5 deps are removed, osgQt was moved to a separate repo

* Wed Apr 18 2018 daviddavid <daviddavid> 3.4.1-4.mga7
+ Revision: 1219805
- add patch (5) to fix build on ARM

* Mon Apr 16 2018 daviddavid <daviddavid> 3.4.1-3.mga7
+ Revision: 1219274
- rebuild for new jasper 2.0.14

* Sat Feb 10 2018 daviddavid <daviddavid> 3.4.1-2.mga7
+ Revision: 1200178
- BR pkgconfig(Qt5OpenGL)

* Sat Dec 30 2017 akien <akien> 3.4.1-1.mga7
+ Revision: 1187831
- Version 3.4.1

* Wed Mar 08 2017 akien <akien> 3.4.0-8.mga6
+ Revision: 1090231
- Rebuild for ffmpeg 3.2.4

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3.4.0-7.mga6
+ Revision: 1070631
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 3.4.0-6.mga6
+ Revision: 1046190
- test rebuild for poppler

* Mon Jan 11 2016 wally <wally> 3.4.0-5.mga6
+ Revision: 921705
- build against gdal also on arm

* Sat Jan 09 2016 wally <wally> 3.4.0-4.mga6
+ Revision: 920886
- build with gdal again

* Sat Jan 09 2016 wally <wally> 3.4.0-3.mga6
+ Revision: 920825
- build without gdal for now

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.4.0-2.mga6
+ Revision: 920406
- rebuild for giflib

* Wed Jan 06 2016 wally <wally> 3.4.0-1.mga6
+ Revision: 920107
- new version 3.4.0
- new osg libmajor 130
- drop unneeded patches
- drop unneeded requires
- update BRs and don't BR gdal-devel on arm

* Wed Jan 06 2016 wally <wally> 3.2.3-1.mga6
+ Revision: 920100
- new version 3.2.3
- drop unneeded patches from upstream
- build with Qt5

* Wed Aug 26 2015 cjw <cjw> 3.2.1-4.mga6
+ Revision: 869729
- rebuild with gcc 5

* Mon Dec 15 2014 akien <akien> 3.2.1-3.mga5
+ Revision: 803228
- Add upstream patch to fix use-after-free crash

* Sun Dec 14 2014 akien <akien> 3.2.1-2.mga5
+ Revision: 803083
- Obsolete openscenegraph-devel renamed to lib(64)openscenegraph-devel

* Sat Dec 13 2014 akien <akien> 3.2.1-1.mga5
+ Revision: 802913
- Version 3.2.1 (OpenThreads major change from 13 to 20) (mga#14136)

* Sat Dec 13 2014 akien <akien> 3.2.0-5.mga5
+ Revision: 802908
- Reorder BRs and use pkgconfig when available
- Proper libification of OpenSceneGraph:
 o OSG libraries in lib(64)openscenegraph100, devel in lib(64)openscenegraph-devel
 o OpenThreads library in lib(64)openthreads13, devel in lib(64)openthreads-devel

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 748900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 683241
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-2.mga4
+ Revision: 536560
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 3.2.0-1.mga4
+ Revision: 484679
- new version 3.2.0

* Mon Jun 03 2013 fwang <fwang> 3.0.1-7.mga4
+ Revision: 436028
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-6.mga3
+ Revision: 362138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 fwang <fwang> 3.0.1-5.mga2
+ Revision: 187417
- rebuild for new tiff

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 3.0.1-4.mga2
+ Revision: 162069
- rebuild against new geos

* Tue Sep 27 2011 obgr_seneca <obgr_seneca> 3.0.1-3.mga2
+ Revision: 149655
- rebuild against new geos and changes in gdal

* Tue Sep 27 2011 ovitters <ovitters> 3.0.1-2.mga2
+ Revision: 149410
- rebuild for new poppler

* Sun Sep 18 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 144814
- new version 3.0.1

* Wed Sep 14 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 143439
- rebuild for new libpng
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jul 20 2011 fwang <fwang> 3.0.0-2.mga2
+ Revision: 127421
- maybe only gl is enough

* Mon Jul 18 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 125925
- update file list
- new version 3.0.0
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Thu Jun 16 2011 fwang <fwang> 2.8.5-1.mga2
+ Revision: 108061
- linkage patch not needed
- New version 2.8.5

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.8.3-2.mga1
+ Revision: 89189
- rebuild agains new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.8.3-1.mga1
+ Revision: 86786
- clean spec file
- imported package openscenegraph


* Wed Apr 13 2011 Funda Wang <fwang@mandriva.org> 2.8.3-1mdv2011.0
+ Revision: 652850
- New version 2.8.3

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 2.8.2-5mdv2011.0
+ Revision: 626157
- rebuild for new poppler

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 2.8.2-4mdv2011.0
+ Revision: 492261
- rebuild for new libjpeg v8

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 2.8.2-3mdv2010.0
+ Revision: 451968
- rebuild

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2.8.2-2mdv2010.0
+ Revision: 419812
- rebuild for new libjpeg v7

  + Florent Monnier <blue_prawn@mandriva.org>
    - corrected a typo

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.2-1mdv2010.0
+ Revision: 408550
- update to new version 2.8.2

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 382538
- Update to new version 2.8.1

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.8.0-3mdv2010.0
+ Revision: 377494
- rebuild for new poppler

* Sun Mar 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.0-2mdv2009.1
+ Revision: 346426
- Rename to lower case openscenegraph
- Add libpoppler-glib-devel BuildRequires
- Define CMAKE_BUILD_TYPE=Release, otherwise the library names get a
  d suffix which are not found by other applications linking to OSG

* Sat Feb 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.0-1mdv2009.1
+ Revision: 346183
- Update to new version 2.8.0
- Remove Werror=format-scurity patch: integrated upstream
- used %%{buildroot} macro in SPEC file instead of $RPM_BUILD_ROOT

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 2.6.1-2mdv2009.1
+ Revision: 336057
- add more BRs

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 335875
- New version 2.6.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix mesaglu-devel BR
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - import OpenSceneGraph

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

